Bug 131327 - (TB4148ff4c) TB4148ff4c kudzu.py:10:?:ImportError: - failure on ppc
TB4148ff4c kudzu.py:10:?:ImportError: - failure on ppc
Status: CLOSED DUPLICATE of bug 130719
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-08-30 23:01 EDT by Colin Charles
Modified: 2014-03-16 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The dump from s-c-n (7.79 KB, text/plain)
2004-08-30 23:02 EDT, Colin Charles
no flags Details

  None (edit)
Description Colin Charles 2004-08-30 23:01:25 EDT
Description of problem: Start system-config-network, and get a failure
immediately with a dump, and the option to debug or exit

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start system-config-network

Actual results:
Watch it crash and provide debug output

Expected results:
I get to configure my network interfaces!
Comment 1 Colin Charles 2004-08-30 23:02:28 EDT
Created attachment 103276 [details]
The dump from s-c-n
Comment 2 Harald Hoyer 2004-08-31 02:52:49 EDT

*** This bug has been marked as a duplicate of 130719 ***
Comment 3 Daniel L. Rall 2005-02-15 18:37:04 EST
I would love to be able to see bug 130719, but apparently I don't have
the appropriate permission to access it.  I'm getting a similar error
to this from system-config-soundcard, because kudzu.py is installed
for Python 2.3, rather than the 2.4 version I'm running:

$ locate kudzu.py
$ python
Python 2.4 (#1, Jan 12 2005, 11:15:47)
[GCC 3.4.3 20050104 (Red Hat 3.4.3-13)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> sys.path
['', '/usr/lib/python24.zip', '/usr/lib/python2.4',
'/usr/lib/python2.4/plat-linux2', '/usr/lib/python2.4/lib-tk',
'/usr/lib/python2.4/lib-dynload', '/usr/lib/python2.4/site-packages',
>>> import kudzu
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
>>> sys.path.append('/usr/lib/python2.3/site-packages/')
>>> import kudzu

This is a packaging mis-match between the version of Kudzu that I have
installed (1.1.95-1), and Python 2.4.  I was just able to correct this
by installing kudzu-1.1.107-1.
Comment 4 Bill Nottingham 2005-02-16 01:10:03 EST
It's not related. Have you installed python from rawhide but not kudzu
from rawhide?
Comment 5 Daniel L. Rall 2005-02-16 02:52:26 EST
Thanks for the comment, Bill.  That was exactly it -- figured it out
while I was entering my comment, and noted it in the last sentence.
Comment 6 Red Hat Bugzilla 2006-02-21 14:05:23 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.